---
title: "Augmentor flagging"
tags:
- action
- augmentor
- augmentor action unknown
---
# Augmentor flagging

Available since: unknown



{!include/plugins/augmentor/action/entity_augmentor_action_flagging.md!}

## Fields

`Source fields`

:   

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/source_fields.md!}

`Advance targeting`

:   

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/targets.md!}

`Augmentor`

:   

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/augmentor.md!}

`Action over target field`

:   

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/action.md!}

`Text Format`

:   

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/text_format.md!}

`Explode separator`

:   Split augmentor response into an array using this separator.

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/explode_separator.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">flagging</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/augmentor/action/entity_augmentor_action_flagging/replace_tokens.md!}
