---
title: "List: remove item"
tags:
- action
- eca_base
- eca action 1.1.0
---
# List: remove item

Available since: 1.1.0

Remove an item from a list and optionally store the item as a token.

{!include/plugins/eca_base/action/eca_list_remove.md!}

## Fields

`Value to remove`

:   When <em>Drop by specified value</em> is selected above, then a value must be specified here.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_list_remove/value.md!}

`Name of token`

:   Provide the name of a token that holds the removed item. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_remove/token_name.md!}

`Method`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_list_remove_method</em>

    {!include/plugins/eca_base/action/eca_list_remove/method.md!}

`Index key`

:   When using the method <em>Drop by specified index key</em>, then an index key must be specified here.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_list_remove/index.md!}

`Token containing the list`

:   Provide the name of the token that contains a list of items. If the list does not exist yet, a new one will be created. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_remove/list_token.md!}
