---
title: "Product: Variation Ajax Change"
tags:
- event
- eca_commerce
- eca_commerce event 1.0.0
---
# Product: Variation Ajax Change

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[commerce_product_variation]` | The product variation entity. This is not the product entity. |
    | `[commerce_product_variation_response]` | The response when changing product variations via ajax. |
    | `[commerce_product_variation_view_mode]` | The view mode for the product variation. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_commerce/event/eca_commerce_product_variation_ajax_change.md!}

