---
title: "Entity type and bundle"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity type and bundle

Available since: 1.0.0

Evaluates against the entity type and bundle.

{!include/plugins/eca_content/condition/eca_entity_type_bundle.md!}

## Fields

`Entity type (and bundle)`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_type_bundle_type</em>

    {!include/plugins/eca_content/condition/eca_entity_type_bundle/type.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_type_bundle/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_type_bundle/entity.md!}
