---
title: "Form field: set access"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: set access

Available since: 1.0.0

Set access to a form field.

{!include/plugins/eca_form/action/eca_form_field_access.md!}

## Fields

`Set as access`

:   

    {!include/plugins/eca_form/action/eca_form_field_access/flag.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_access/field_name.md!}
