---
title: " Merge Requests: changes"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Merge Requests: changes

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_changes.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:mergerequests_changes_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_changes/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_changes/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_changes/api_project_id.md!}

`Mr Iid`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_changes/api_mr_iid.md!}
