---
title: " Merge Requests: create Level Rule"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Merge Requests: create Level Rule

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:mergerequests_createlevelrule_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/api_project_id.md!}

`Mr Iid`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/api_mr_iid.md!}

`Name`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/api_name.md!}

`Approvals Required`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/api_approvals_required.md!}

`Parameters`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_mergerequests_createlevelrule/api_parameters.md!}
