---
title: " Wiki: update"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Wiki: update

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:wiki_update_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update/api_project_id.md!}

`Wiki Slug`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update/api_wiki_slug.md!}

`Params`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_wiki_update/api_params.md!}
