---
title: "Tamper: Get position of sub-string"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Get position of sub-string

Available since: 1.0.0

Get the position of a sub-string in a string

{!include/plugins/eca_tamper/action/eca_tamper_str_pos.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pos/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pos/eca_token_name.md!}

`String to search for position`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_str_pos/substring.md!}
