---
title: "List: count items"
tags:
- action
- eca_base
- eca action 1.0.0
---
# List: count items

Available since: 1.0.0

Counts the items in a list based on several properties.

{!include/plugins/eca_base/action/eca_count.md!}

## Fields

`Name of token`

:   Provide the name of a new token where the counting result should be stored. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_count/token_name.md!}

`Token containing the list`

:   Provide the name of the token that contains a list from which the number of items should be counted. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_count/list_token.md!}
