---
title: "Order Item: Add Price Adjustment"
tags:
- action
- eca_commerce
- eca_commerce action 1.0.0
---
# Order Item: Add Price Adjustment

Available since: 1.0.0



{!include/plugins/eca_commerce/action/eca_commerce_add_adjustment.md!}

## Fields

`Method`

:   The method to set an entity, like cleaning the old one, etc..

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/method.md!}

`Type`

:   

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/type.md!}

`Locked`

:   Note: Adjustments added from UI interactions need to be locked to persist after an order refresh.

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/locked.md!}

`Label`

:   <br/>This field supports tokens.

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/label.md!}

`Amount`

:   <br/>This field supports tokens.

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/amount.md!}

`Currency`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_commerce_add_adjustment_currency</em>

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/currency.md!}

`Percentage`

:   <br/>This field supports tokens.

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/percentage.md!}

`Included in the base price`

:   

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/included.md!}

`Save entity`

:   Saves the entity or not after setting the value.

    {!include/plugins/eca_commerce/action/eca_commerce_add_adjustment/save_entity.md!}
