---
title: "List: add entity"
tags:
- action
- eca_content
- eca action 1.1.0
---
# List: add entity

Available since: 1.1.0

Add a specified entity to a list.

{!include/plugins/eca_content/action/eca_list_add_entity.md!}

## Fields

`Method`

:   Options of the specific method to add a value to a list.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_list_add_entity_method</em>

    {!include/plugins/eca_content/action/eca_list_add_entity/method.md!}

`Index key`

:   When using the method <em>Set by specified index</em>, then an index key must be specified here.<br/>This field supports tokens.

    {!include/plugins/eca_content/action/eca_list_add_entity/index.md!}

`Token containing the list`

:   Provide the name of the token that contains a list of items. If the list does not exist yet, a new one will be created. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_list_add_entity/list_token.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_list_add_entity/object.md!}
