---
title: "Entity: create new"
tags:
- action
- eca_content
- eca action 1.0.0
---
# Entity: create new

Available since: 1.0.0

Create a new content entity without saving it.

{!include/plugins/eca_content/action/eca_new_entity.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the new entity. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_new_entity/token_name.md!}

`Type`

:   The type of the new entity.<br/>Note: to create a new user entity, enable the eca_user module and use the "User: create new" action from there.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_new_entity_type</em>

    {!include/plugins/eca_content/action/eca_new_entity/type.md!}

`Language`

:   The language code of the new entity.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_new_entity_langcode</em>

    {!include/plugins/eca_content/action/eca_new_entity/langcode.md!}

`Entity label`

:   The label of the new entity.

    {!include/plugins/eca_content/action/eca_new_entity/label.md!}

`Published`

:   Whether the entity should be published or not.

    {!include/plugins/eca_content/action/eca_new_entity/published.md!}

`Owner UID`

:   The owner UID of the new entity.

    {!include/plugins/eca_content/action/eca_new_entity/owner.md!}
