---
title: "Delete flagging"
tags:
- event
- eca_flag
- eca_flag event 1.0.0
---
# Delete flagging

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[flagging]` | The flagging entity. |
    | `[flag]` | The flag entity. |
    | `[entity]` | The flagged entity |
    | `[event]` | The event. |
    | `[event:flag]` | The flag entity (if there is only 1 item). |
    | `[event:flagging]` | The flagging entity (if there is only 1 item). |
    | `[event:entity]` | The flagged entity (if there is only 1 item). |
    | `[event:flaggings]` | The flaggings. |
    | `[event:flaggings:#]` | The index in the list beginning with 0. |
    | `[event:flaggings:#:flag]` | The flag entity. |
    | `[event:flaggings:#:flagging]` | The flagging entity. |
    | `[event:flaggings:#:entity]` | The flagged entity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_flag/event/flag_delete.md!}

