---
title: "Log Message"
tags:
- action
- eca_log
- eca action 1.0.0
---
# Log Message

Available since: 1.0.0

Writes a log message into the given type with the given severity.

{!include/plugins/eca_log/action/eca_write_log_message.md!}

## Fields

`Type`

:   The name of the logger type, the message should be logged to.

    {!include/plugins/eca_log/action/eca_write_log_message/channel.md!}

`Severity`

:   The severity of the log message.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_write_log_message_severity</em>

    {!include/plugins/eca_log/action/eca_write_log_message/severity.md!}

`Message`

:   The message, which should be logged.

    {!include/plugins/eca_log/action/eca_write_log_message/message.md!}
