---
title: "Get parameter"
tags:
- action
- eca_parameters
- eca_parameters action 1.0.0
---
# Get parameter

Available since: 1.0.0

Get a parameter and store its value as a token.

{!include/plugins/eca_parameters/action/eca_parameter_get.md!}

## Fields

`Parameter name`

:   The machine name of the parameter. Examples: <em>my_eca_parameter</em>, <em>global:my_global_param</em>, <em>node.article:my_article_param</em>. Available parameters: No parameters have been defined via configuration yet.

    {!include/plugins/eca_parameters/action/eca_parameter_get/parameter_name.md!}

`Name of token`

:    Please provide the token name only, without brackets.

    {!include/plugins/eca_parameters/action/eca_parameter_get/token_name.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_parameters/action/eca_parameter_get/object.md!}
