---
title: "Tamper: Strip tags"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Strip tags

Available since: 1.0.0

Strip tags.

{!include/plugins/eca_tamper/action/eca_tamper_strip_tags.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_strip_tags/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_strip_tags/eca_token_name.md!}

`Allowed tags`

:   A list of allowed tags such as <em class="placeholder">&lt;a&gt;</em><em class="placeholder">&lt;em&gt;</em>

    {!include/plugins/eca_tamper/action/eca_tamper_strip_tags/allowed_tags.md!}
