---
title: "Tamper: Find replace"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Find replace

Available since: 1.0.0

Find and replace text

{!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/negate.md!}

`Text to find`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/find.md!}

`Text to replace`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/replace.md!}

`Case sensitive`

:   If checked, "book" will match "book" but not "Book" or "BOOK".

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/case_sensitive.md!}

`Respect word boundaries`

:   If checked, "book" will match "book" but not "bookcase".

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/word_boundaries.md!}

`Match whole word/phrase`

:   If checked, then the whole word or phrase will be matched, e.g. "book" will match "book" but not "the book". If this option is selected then "Respect word boundaries" above will be ignored.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/whole.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace/right.md!}
