---
title: "Tamper: Hash"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Hash

Available since: 1.0.0

Makes the value a hash of the values of item being tampered.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_hash.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:hash_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:hash_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/negate.md!}

`Override set value`

:   If checked, the existing value of this field will be overridden.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/override.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_hash/right.md!}
