---
title: "Tamper: HTML entity decode"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: HTML entity decode

Available since: 1.0.0

Convert all HTML entities such as &amp;amp; and &amp;quot; to &amp; and &quot;.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:html_entity_decode_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:html_entity_decode_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/negate.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_html_entity_decode/right.md!}
