---
title: "Cancel the selected user accounts"
tags:
- action
- views_bulk_operations
- views_bulk_operations action unknown
---
# Cancel the selected user accounts

Available since: unknown



{!include/plugins/views_bulk_operations/action/vbo_cancel_user_action.md!}

## Fields

`When cancelling these accounts`

:   

    {!include/plugins/views_bulk_operations/action/vbo_cancel_user_action/user_cancel_method.md!}

`Require email confirmation to cancel account`

:   When enabled, the user must confirm the account cancellation via email.

    {!include/plugins/views_bulk_operations/action/vbo_cancel_user_action/user_cancel_confirm.md!}

`Notify user when account is canceled`

:   When enabled, the user will receive an email notification after the account has been canceled.

    {!include/plugins/views_bulk_operations/action/vbo_cancel_user_action/user_cancel_notify.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">user</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/views_bulk_operations/action/vbo_cancel_user_action/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/views_bulk_operations/action/vbo_cancel_user_action/replace_tokens.md!}
